Latest News: (loading..)
burt

Bootstrap 3 in 2.3.4 - Responsive from the Get Go

2,231 posts in this topic

Tell me your thoughts on this, shopowners.  There must be some developer who'd be up for it?

 

Back from a trip..lots of catching up to do....

 

@@burt For the 95% shop owner/5% code maintainer people, unless they drill down through commit discussions (where there is any) understanding what technically the commit does/fixes is probably an issue with them.  

 

The developer you mention above may do well to have a site that lists the commits and gives in shop owner terms what it will do for the shop owners site.  Enhance, fix, whatever.

 

Perhaps a scale of 1 to 5 on urgency to install the commit.  Example 1 not so important and the shop will probably do fine without it to 5 where this is urgent and if not updated will do this, that or the other thing.

 

One need I see is a developer helping a Gold responsive shop owner get to Edge by the way.

Share this post


Link to post
Share on other sites

One need I see is a developer helping a Gold responsive shop owner get to Edge by the way.

 

Indeed.  To go from Gold to Edge should be fairly simple even if shopowner has changed core code.  

For a good developer, it would not be more than a days work, for sure => it's pretty much "ctrl+c ctrl+v" in all the right spots.

 

Once at Edge, possibilities open up for the Shopowner in terms of future updates.

Edited by burt
Tsimi likes this

Share this post


Link to post
Share on other sites

It appears that the original plan was to combine the Paypal App into the next version of osCommerce. Is there any plan to do this to the Bootstrap version?

 

Regards

Jim

Share this post


Link to post
Share on other sites

@@kymation Gary has a branch for it in his Github Repo so I think so.  Not sure how far along it is though.  Have a look there maybe you can tell. 

 

Dan

Share this post


Link to post
Share on other sites

Thanks @@Dan Cole,  I had missed that branch. I can't tell how much has been done, but it's nice to see that it is on the list.

 

Regards

Jim

Share this post


Link to post
Share on other sites

erased

Edited by devastator

Share this post


Link to post
Share on other sites

Hello,

 

I have some questions regarding osC responsive as I am going to setup a new store for a project.

 

For now I started to play a bit around with the osC responsive Gold version and really like it.

 

I would like to know what you would recommend for a store going live, should I go for Gold or Edge release or maybe even stay with standard osC 2.3.4?

 

And maybe there is someone who could roughly tell me where there is the difference between this development discussed in this thread compared to a bootstrap/responsive theme/template one could buy from the usual design websites.

 

Sorry, if this was already asked or said somewhere else, I didn't find it though ...

 

Kind regards,

 

redgoldgreen

Share this post


Link to post
Share on other sites

The Edge release is quite a bit ahead of Gold at this time, and seems to be quite stable. I'm just finishing up a client’s store based on Edge and everything is working well. I personally think it's worth the risk.

 

Also, Gold and the stock osCommerce 2.3.4 will not work in PHP 7, and hosts are already starting to offer that. If you use either of those releases, be prepared to do a major upgrade within the next two years when PHP 7 becomes mandatory.

 

The "templates" offered on third-party sites are often poorly coded and not supported. If you want support from us, stick with the offerings here. There are free templates available here, as well as some commercial offerings, and any of the Bootstrap themes available here and elsewhere will work on the Gold or Edge versions.

 

Regards

Jim

Share this post


Link to post
Share on other sites

OK I have 2.3.4 BS edge installed, got it from Jack a couple weeks ago.

 

I am getting this error when I try to see the orders from admin

Fatal error: Call to a member function register() on a non-object in /admin/orders.php on line 15

 

Line 15 is

 

 $OSCOM_Hooks->register('orders');
 

 

Is this a known issue or has this been fixed already?

 

Can't see my orders

Share this post


Link to post
Share on other sites

Do you have the Paypal App installed? It sounds like you have wiped out part of your Paypal install. Those modifications will need to be re-done.

 

Regards

Jim

Share this post


Link to post
Share on other sites

Jack said it had the latest Paypal version.  Anyway, I Uninstalled it and it still has the same result.  The only payment module I have enabled is COD.

 

This is not a live shop yet, So I don't know if it ever worked.  There is only 1 order I entered as a test.

Share this post


Link to post
Share on other sites

Uninstalling the Paypal App will not help; you would need to remove the code modifications as well.

 

In admin/includes/application_top.php near the bottom of the file, add this code:

  require(DIR_FS_CATALOG . 'includes/classes/hooks.php');
  $OSCOM_Hooks = new hooks('admin');

That should fix the problem.

 

Regards

Jim

Share this post


Link to post
Share on other sites

In the product listings, the default view is Grid - does anyone have the code modification to make the default List view?

Share this post


Link to post
Share on other sites

Is there a backend setting to remove the "Review" button from Product Listings, or do we need to edit the php file?

Thanks.

Share this post


Link to post
Share on other sites

Hi All,

 

Is the latest BS Edge completely compatible with php 7.0 already?

 

Thanks in advance for your advise.

 

Eddy

Share this post


Link to post
Share on other sites

Is the latest BS Edge completely compatible with php 7.0 already?

 

It is not php7 ready.

Moxamint likes this

Share this post


Link to post
Share on other sites

Hi,

 

tried to install this but straight after install this is the error that is appearing: Parse error: syntax error, unexpected T_CONST in /home/kartonic/public_html/vouchertest2/includes/languages/english/modules/content/index/cm_i_customer_greeting.php on line 13

 

as soon as i try to go into content modules via the admin page the same error appears, any ideas?

 

Nathan

Share this post


Link to post
Share on other sites

Hi,

 

ive redone the installation using another version (gold) and all is working fine, just wondering though is there a place where i can learn to make my own modules? i want to add something from my website to it, ive had a look through the module files and can't quite work out how to do what i want to do.

 

Nathan

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now